<?php
namespace Claromentis\Gallery\Search;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] ?: array()) + array("_c61345ccedc39c" . "1977427766275e2" . "da6" => base64_decode("aW1hZ2VfZ" . "2FsbGVyeQ" . "=="), "p" . "e" . "r" . "m" . "s" => base64_decode("cGV" . "ybX" . "M="), "_61a5ceb3" . "47019e371" . "16d4d2907" . "163b82" => base64_decode("bWF0Y2h" . "fYWxs"), "_df945ac2fbdd1576202fb48096eb" . "43f9" => base64_decode("YWRtaW4u" . "cGFuZWxz" . "X2xpc3Q="));
use Claromentis\Core\Admin\AdminPanel;
use Claromentis\Core\Security\SecurityContext;
use Claromentis\Core\Services;
use Claromentis\Search\GlobalSearchItemInterface;
use Claromentis\Search\Permissions as SearchPermissions;





class GallerySearchImage implements GlobalSearchItemInterface
{
    
    
    
    
    public function GetIndexingObject()
    {
        return new Indexing\ImageIndexing();
    }
    
    
    
    
    
    
    public function GetPermissionsSearchFilter(SecurityContext $context)
    {
        $_9d8a16b274aa2655326eee6fb9000c83 = new SearchPermissions();
        
        
        $_9c58d9e285fddad133acf2e9dff4c4b5 = Services::I()->{$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_df945ac2fbdd157" . "6202fb48096eb43f" . "9"]}->GetOne($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_c61345ccedc39c1977427" . "766275e2da6"]);
        if (!$_9c58d9e285fddad133acf2e9dff4c4b5->IsAccessible($context)) {
            return $_9d8a16b274aa2655326eee6fb9000c83->GetSearchFilter($context, $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["p" . "e" . "r" . "m" . "s"]);
        } else {
            return [$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_61a5ceb3" . "47019e371" . "16d4d2907" . "163b82"] => new \stdClass()];
        }
    }
    
    
    
    
    public function GetView()
    {
        return new View\ImageView();
    }
}